
Pre-Development - Feature #19173

FE - React - Global State to be remove on 3.0 use alternative

14 December 2023 04:10 PM - chok yee fan

Status: Closed Start date: 14 December 2023

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

From the console its appear, Global State to be remove on 3.0, use alternative

https://juejin.cn/post/7181768043633049656

History

#1 - 21 December 2023 01:57 PM - chok yee fan

use localstorage with event notification to pass the value between the parent or child.

use lz-string to compress the value store in localstorage

https://www.npmjs.com/package/lz-string

#2 - 27 December 2023 11:32 AM - chok yee fan

- Assignee changed from chok yee fan to Amirul Umar Pandai

#3 - 04 January 2024 11:26 AM - chok yee fan

- Assignee changed from Amirul Umar Pandai to chok yee fan

#4 - 04 January 2024 03:52 PM - chok yee fan

chok: remove globalState use shareModule instead for cciam

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/c8f2de18cb96ce3a5f5f034da297110fa05818bc

#5 - 04 January 2024 04:07 PM - chok yee fan

cccore

chok: remove globalState use prop passing between childs

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/d24fc490923d92b3798588a4581d1e203a6adbe2

#6 - 04 January 2024 04:10 PM - chok yee fan

chok: ccuath remove globalState use prop passing between childs

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/16f47209727dcd1b8c6cb2379b1940dbd6c0c9a9

#7 - 04 January 2024 04:26 PM - chok yee fan

chok: cctop remove globalState use prop passing between childs

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/672e6aed04c03a44c974bb661b4e506e74875e8d
#8 - 04 January 2024 04:28 PM - chok yee fan

chok: cctop move casl folder into shared

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commits/main

#9 - 04 January 2024 04:30 PM - chok yee fan

chok: cctop move services folder into shared

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/38e1df8eecc2119a358279c1de7dbb09671eb407

#10 - 04 January 2024 04:33 PM - chok yee fan

chok: cctop move folder into shared

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-core/-/commit/54648bbc1ccc710d521b6d957f42bae0c41b1e56

#11 - 04 January 2024 05:38 PM - chok yee fan

chok: use shareModule language onChange to change the language

https://dev.silverlakemobility.com/gitlab/mleb-solution-domain/smesd100/mleb-iam/-/commit/118dff5a6b16b42318501581cc65056929d4af35

#12 - 16 January 2024 03:20 PM - chok yee fan

- Status changed from New to Closed

tested working fine
